# Class: YARD::CLI::MarkupTypes

Inherits:
  Command
  - Object
  - Command
  - YARD::CLI::MarkupTypes
  show all

Defined in:
  lib/yard/cli/markup_types.rb

## Overview

Lists all markup types

Since:

- 0.8.6

## Instance Method Summary collapse

- #description ⇒ Object
- #run(*args) ⇒ void

  Runs the commandline utility, parsing arguments and displaying a list of markup types.

## Instance Method Details

### #description ⇒ `Object`

Since:

- 0.8.6

    7

    # File 'lib/yard/cli/markup_types.rb', line 7

    def description; 'Lists all available markup types and libraries' end

### #run(*args) ⇒ `void`

This method returns an undefined value.

Runs the commandline utility, parsing arguments and displaying a list of markup types

Parameters:

- args (`Array<String>`) —

  the list of arguments.

Since:

- 0.8.6

    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29

    # File 'lib/yard/cli/markup_types.rb', line 14

    def run(*args) # rubocop:disable Lint/UnusedMethodArgument
      log.puts "Available markup types for `doc' command:"
      log.puts
      types = Templates::Helpers::MarkupHelper::MARKUP_PROVIDERS
      exts = Templates::Helpers::MarkupHelper::MARKUP_EXTENSIONS
      types.sort_by {|name, _| name.to_s }.each do |name, providers|
        log.puts "[#{name}]"
        libs = providers.map {|p| p[:lib] }.compact
        log.puts "  Providers: #{libs.join(" ")}" unless libs.empty?
        if exts[name]
          log.puts "  Extensions: #{exts[name].map {|e| ".#{e}" }.join(" ")}"
        end

        log.puts
      end
    end